Loading...
Searching...
No Matches
RDKit::RGroupMatch Struct Reference

RGroupMatch is the decomposition for a single molecule. More...

`#include <RGroupMatch.h>`

## Public Member Functions

| RGroupMatch (size_t core_index, size_t numberMissingUserRGroups, R_DECOMP input_rgroups, RWMOL_SPTR matchedCore)
std::string | toString () const
void | setTargetMoleculeForHighlights (const RWMOL_SPTR &targetMol)
RWMOL_SPTR | getTargetMoleculeForHighlights (bool trimHs)

## Public Attributes

size_t | core_idx
size_t | numberMissingUserRGroups
R_DECOMP | rgroups
RWMOL_SPTR | matchedCore

## Detailed Description

RGroupMatch is the decomposition for a single molecule.

Definition at line 19 of file RGroupMatch.h.

## Constructor & Destructor Documentation

## RGroupMatch()

RDKit::RGroupMatch::RGroupMatch | ( | size_t | core_index,
|  | size_t | numberMissingUserRGroups,
|  | R_DECOMP | input_rgroups,
|  | RWMOL_SPTR | matchedCore
| ) |  |

inline

Definition at line 26 of file RGroupMatch.h.

## Member Function Documentation

## getTargetMoleculeForHighlights()

RWMOL_SPTR RDKit::RGroupMatch::getTargetMoleculeForHighlights | ( | bool | trimHs | ) |

inline

Get the target molecule to be used for highlighting R groups

Parameters

  trimHs | whether explicit hydrogens should be removed, except for those corresponding to R groups (if any)

Returns
  the target molecule (can be null if it was never set)

Definition at line 57 of file RGroupMatch.h.

References RDKit::common_properties::_rgroupTargetAtoms, RDKit::common_properties::_rgroupTargetBonds, RDKit::rdvalue_is(), RDKit::MolOps::removeHs(), RDKit::MolOps::RemoveHsParameters::removeMapped, and rgroups.

## setTargetMoleculeForHighlights()

void RDKit::RGroupMatch::setTargetMoleculeForHighlights | ( | const RWMOL_SPTR & | targetMol | ) |

inline

Set the target molecule to be used for highlighting R groups

Parameters

  targetMol | the target molecule

Definition at line 48 of file RGroupMatch.h.

References RDKit::rdvalue_is().

## toString()

std::string RDKit::RGroupMatch::toString | ( |  | ) | const

inline

Definition at line 33 of file RGroupMatch.h.

References core_idx, numberMissingUserRGroups, RDKit::rdvalue_is(), and rgroups.

## Member Data Documentation

## core_idx

size_t RDKit::RGroupMatch::core_idx

Definition at line 21 of file RGroupMatch.h.

Referenced by toString().

## matchedCore

RWMOL_SPTR RDKit::RGroupMatch::matchedCore

Definition at line 24 of file RGroupMatch.h.

## numberMissingUserRGroups

size_t RDKit::RGroupMatch::numberMissingUserRGroups

Definition at line 22 of file RGroupMatch.h.

Referenced by toString().

## rgroups

R_DECOMP RDKit::RGroupMatch::rgroups

Definition at line 23 of file RGroupMatch.h.

Referenced by getTargetMoleculeForHighlights(), and toString().

The documentation for this struct was generated from the following file:

- RGroupMatch.h